This document lists the events and parameters for
various types of
Drive Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=drive`.

## Access


Events of this type are returned with `type=access`.

### Access request denied

An access request was denied.
Event details Event name `deny_access_request` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`target_user` `string`


The email address of the user or group whose access permissions were changed, or the name of the domain for which access permissions were changed. If the user has multiple email addresses on their Google account, their display email is used instead of the specific email that the item was shared with.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=deny_access_request&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} denied an access request for {target_user}`

### Access request expired

An access request expired.
Event details Event name `expire_access_request` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`target_user` `string`


The email address of the user or group whose access permissions were changed, or the name of the domain for which access permissions were changed. If the user has multiple email addresses on their Google account, their display email is used instead of the specific email that the item was shared with.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=expire_access_request&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An access request for {target_user} expired`

### Access requested

Access requested to an item.
Event details Event name `request_access` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`requested_role` `string`


Requested access role.
Possible values:

- `can_comment`  
  Can comment.
- `can_edit`  
  Can edit.
- `can_respond`  
  Can respond.
- `can_view`  
  Can view.
- `can_view_published`  
  Can view published.
- `none`  
  Scope none.
- `organizer`  
  Manager.
- `owner`  
  Is a owner.
`target_user` `string`


The email address of the user or group that the actor is requesting access for.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=request_access&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested access to an item for {target_user}`

### Add to folder

Document add to folder.
Event details Event name `add_to_folder` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`destination_folder_id` `string`


Destination folder Id.
`destination_folder_title` `string`


Destination folder title.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=add_to_folder&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added an item to {destination_folder_title}`

### Appeal abuse violation

Event details Event name `appeal_abuse_violation` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=appeal_abuse_violation&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} appealed an abuse violation`

### Approval canceled

Drive approval canceled.
Event details Event name `approval_canceled` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_canceled&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} canceled an approval on an item`

### Approval comment added

Drive approval comment added.
Event details Event name `approval_comment_added` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_comment_added&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added a comment on an approval on an item`

### Approval completed

Drive approval completed.
Event details Event name `approval_completed` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_completed&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An approval was completed`

### Approval decisions reset

Drive approval decisions reset.
Event details Event name `approval_decisions_reset` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_decisions_reset&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Approval decisions were reset`

### Approval due time change

Drive approval due time change.
Event details Event name `approval_due_time_change` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_due_time_change&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested a due time change on an approval`

### Approval requested

Drive approval requested.
Event details Event name `approval_requested` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_requested&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested approval on an item`

### Approval reviewer change

Drive approval reviewer change.
Event details Event name `approval_reviewer_change` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_reviewer_change&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} requested a reviewer change on an approval`

### Approval reviewer responded

Drive approval reviewer responded.
Event details Event name `approval_reviewer_responded` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=approval_reviewer_responded&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reviewed an approval on an item`

### Comment created

A comment was created.
Event details Event name `create_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=create_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a comment`

### Comment deleted

A comment was deleted.
Event details Event name `delete_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=delete_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a comment`

### Comment edited

A comment was edited.
Event details Event name `edit_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=edit_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited a comment`

### Comment reassigned

A comment was reassigned.
Event details Event name `reassign_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=reassign_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reassigned a comment`

### Comment reopened

A comment was reopened.
Event details Event name `reopen_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=reopen_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} reopened a comment`

### Comment resolved

A comment was resolved.
Event details Event name `resolve_comment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=resolve_comment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} resolved a comment`

### Connected Sheets Query

Event details Event name `connected_sheets_query` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`data_connection_id` `string`


Data connection ID.
`delegating_principal` `string`


Delegating user whose credentials are used.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`execution_id` `string`


Query execution ID.
`execution_trigger` `string`


The trigger for the query execution.
Possible values:

- `api`  
  One Platform API execution trigger.
- `apps_script`  
  Apps Script execution trigger.
- `scheduled`  
  Scheduled execution trigger.
- `sheets_ui`  
  Sheets UI execution trigger.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`query_type` `string`


Type of query.
Possible values:

- `big_query`  
  BigQuery.
- `looker`  
  Looker.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=connected_sheets_query&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{execution_trigger} {query_type} query executed`

### Copy

Document copy. This event is present for the new item that was created during the copy. The `source_copy` event is present for the original item.
Event details Event name `copy` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`copy_type` `string`


Indicates whether the original item and new item are owned by the same organization.
Possible values:

- `external`  
  The original item and new item are not owned by the same organization.
- `internal`  
  The original item and new item are owned by the same organization.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`encryption_change` `string`


The encryption change that happened as part of this document modification. An unset value indicates that no encryption change happened.
Possible values:

- `decrypted_copy`  
  An unencrypted item was created from an encrypted item.
- `encrypted_copy`  
  An encrypted item was created from an unencrypted item.
- `encrypted_in_place`  
  An unencrypted item was encrypted in-place.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`new_value` `string`


The title of the newly created document.
`old_value` `string`


The title of the original document.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=copy&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a copy of original document {old_value}`

### Create

Document create.
Event details Event name `create` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`encryption_enforcement_option` `string`


The client-side encryption policy being applied to the user at time of the item's creation.
Possible values:

- `default`  
  The created item was required to be client-side encrypted by default.
- `disabled`  
  The created item was not required to be client-side encrypted.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=create&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created an item`

### Delete

Document delete.
Event details Event name `delete` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`deletion_reason` `string`


The reason an item was deleted.
Possible values:

- `empty_trash`  
  The item was deleted from the trash being emptied.
- `individual_delete`  
  The item was deleted individually.
- `owning_shared_drive_delete`  
  The item was deleted because the shared drive that contained the item was deleted.
- `subscription_canceled`  
  The item was deleted because the Google Workspace subscription was canceled.
- `tos_violation`  
  The item was deleted because it violated Google's terms of service.
- `trash_auto_delete`  
  The item was automatically deleted after being in the trash.
- `user_account_delete`  
  The item was deleted because the user that owned the item was deleted.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=delete&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted an item`

### Download

Document download.
Event details Event name `download` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=download&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} downloaded an item`

### Drive Email as Attachment

Event details Event name `email_as_attachment` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`target` `string`


Target User or Group.
`target_user` `string`


The email address of the user or group whose access permissions were changed, or the name of the domain for which access permissions were changed. If the user has multiple email addresses on their Google account, their display email is used instead of the specific email that the item was shared with.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=email_as_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} shared this document as an email attachment to {target}`

### Edit

Document edit.
Event details Event name `edit` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=edit&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited an item`

### Email collaborators

A user emailed this item's collaborators.
Event details Event name `email_collaborators` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


Whether this event is a primary event. A single user action in Drive can generate several events, multiple of which can be primary (`primary_event=true`). The remaining events are deemed to be side effects of the primary event(s) (`primary_event=false`). For example, when a user creates a document, several events are generated, with only the create event having `primary_event=true`. But when a user shares a document with multiple other users in one action, an access change event having `primary_event=true` is created for each sharee.
Possible values:

- `false`  
  Boolean value false.
- `true`  
  Boolean value true.
`recipients` `string`


Email addresses of the recipients.
`shared_drive_id` `string`


The unique identifier of the shared drive. Only populated for events or items from a shared drive.
`visibility` `string`


Visibility of target file.
Possible values:

- `people_with_link`  
  Anyone with the link can access.
- `people_within_domain_with_link`  
  Anyone with the link within the audience can access.
- `private`  
  Private.
- `public_in_the_domain`  
  Anyone within the audience can access.
- `public_on_the_web`  
  Public on the web.
- `shared_externally`  
  Shared with explicit users/groups external to the domain.
- `shared_internally`  
  Shared with explicit users/groups internal to the domain.
- `unknown`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/drive?eventName=email_collaborators&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} emailed collaborators of an item`

### Encrypt

Document encrypt.
Event details Event name `encrypt` Parameters `actor_is_collaborator_account` `boolean`


Whether the actor is a collaborator account.
`billable` `boolean`


Whether this activity is billable.
`doc_id` `string`


Document ID.
`doc_title` `string`


Document title.
`doc_type` `string`


Document type.
Possible values:

- `document`  
  Doc type document.
- `drawing`  
  Doc type drawing.
- `folder`  
  Doc type folder.
- `form`  
  Doc type form.
- `html`  
  Doc type HTML.
- `jam`  
  Doc type Jam.
- `jpeg`  
  Doc type JPEG.
- `mp4`  
  Doc type MP4.
- `mpeg`  
  Doc type MPEG.
- `msexcel`  
  Doc type MS Excel.
- `mspowerpoint`  
  Doc type MS Powerpoint.
- `msword`  
  Doc type MS Word.
- `pdf`  
  Doc type PDF.
- `png`  
  Doc type PNG.
- `presentation`  
  Doc type presentation.
- `quicktime`  
  Doc type Quicktime.
- `script`  
  Google Apps Script.
- `shortcut`  
  Doc type is Google Shortcut.
- `sites`  
  Doc type is Google Sites.
- `spreadsheet`  
  Doc type spreadsheet.
- `shared_drive`  
  Doc type is a shared drive.
- `txt`  
  Doc type txt.
- `unknown`  
  Doc type unknown.
- `video`  
  Doc type is a Google Vids Video.
`encryption_change` `string`


The encryption change that happened as part of this document modification. An unset value indicates that no encryption change happened.
Possible values:

- `decrypted_copy`  
  An unencrypted item was created from an encrypted item.
- `encrypted_copy`  
  An encrypted item was created from an unencrypted item.
- `encrypted_in_place`  
  An unencrypted item was encrypted in-place.
`is_encrypted` `boolean`


Whether the file is client-side encrypted.
`originating_app_id` `string`


The Google Cloud project number of the application that performed the action. Use the [Drive REST API](https://developers.google.com/drive/v2/reference/apps/get) to retrieve the app title.
`owner` `string`


The email address of the document's owner. For items contained in a shared drive, the owner is the name of the shared drive.
`owner_is_shared_drive` `boolean`


Boolean flag denoting whether the owner is a shared drive.
`owner_shared_drive_id` `string`


The shared drive root ID if the document owner is a shared drive.
`primary_event` `boolean`


[...]
